Bug 127177 - Install hangs at 50% performing post install config
Install hangs at 50% performing post install config
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 22:57 EDT by Tim Pepper
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 08:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Pepper 2004-07-02 22:57:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.5.1) Gecko/20031120

Description of problem:
After getting around the FC2 graphical install hanging after
video/monitor probe with a 'linux headless' install, I'm having the
install hang still later with the status bar stuck at 50% "Performing
post install configuration."

I can switch to virtual consoles, but cannot input anything.  Keyboard
led's are responsive.  VC three shows a few mundane messages from the
install at the top of the screen.  At the bottom it shows:
* rhgb installed, adding to boot loader config
* moving (1) to step postinstallconfig
* No pcic controller detected
* self.hostname = mbox.my.domain.com
* isys.py:mount()- going to mount /usbfs on /mnt/sysimage/proc/bus/usb

I haven't found any boot options that appear to make any difference. 
I've tried apm=off, noapic, noprobe, skipddc, acpi=off, pci=noacpi,
smp/up, mem=128M, nofirewire, nousb, nopcmcia.

Rebooting shows it hasn't installed grub yet.  Manually doing that
from a rescue boot gives me a really unhappy unconfigured system.  The
root password hasn't been set (and I can't set it...selinux wierdness?).

I have successfully then done an upgrade of the mostly installed
system with just 'linux headless' and the install completes, but aside
from installing a few packages that were already installed, it doesn't
change anything.  The system boots but it seems like that 50% post
install missing does some important configuration.

Also, RHAS3 installs/runs just fine on this machine, FWIW.  It is an
IBM Intellistation Z Pro, model 6221-42U.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC2.
2.
3.
    

Additional info:
Comment 1 Jeremy Katz 2004-10-07 14:55:18 EDT
Does this still happen with FC3 test releases?
Comment 2 Jeremy Katz 2004-11-04 08:58:00 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.
Comment 3 Tim Pepper 2005-04-21 13:04:10 EDT
Just to confirm, this no long happened on FC3.

Note You need to log in before you can comment on or make changes to this bug.